Subject: Re: Git Deployment Multiple Existing Environments

From: Thomas Koch <[email-masked]>
Date: Tue, 1 Sep 2015 10:34:11 +0200

On Tuesday, September 01, 2015 09:50:45 AM Sukhwinder Singh wrote:
> Hello,
> I am kind of new to Git and I have a question regarding using Git for a
> website. I have searched a lot but haven't found a solution yet. We
> already have 3-4 environments setup on our Windows servers without Git and
> each environment already has code which is different from each other.
> 
> There are three environments
> Live
> UAT
> Test (has the latest code)
> 
> 
> And then developers have their local copies.
> 
> We write and test the code locally and manually move each point from one
> environment to other using merging software and test at each environment.
> Now we want to use git because manually moving the code is a lengthy
> process. Also as the developers have local copies, it is very difficult to
> manage code.
> 
> Code is written locally by the team and then after testing locally it is
> first merged with "Test" environment code, then "UAT" and then, finally
> with "Live". So we have two concerns:
> 
> There is different code already existing on these environments.
> Testing the code on each environment using the web server.
> 
> What is the best way to go about it? As I am new to git more details will
> be helpful, like commands to use.
> 
> Thanks, 		 	   		  --

There are douzends of different git deployment scripts on github from minimal 
to multi-data-center-enterprise-grade. I wrote this one for my workplace:

https://github.com/comsolit/comsolit_deploy

The README contains links to alternative solutions.

Thomas Koch